{
  "version": "0.2.0",
  "configurations": [
    {
      "type": "node",
      "name": "Run App",
      "request": "launch",
      "args": ["start", "--runInBand"],
      "cwd": "${workspaceFolder}",
      "console": "integratedTerminal",
      "internalConsoleOptions": "neverOpen",
      "disableOptimisticBPs": true,
      "runtimeExecutable": "${workspaceFolder}/node_modules/.bin/react-scripts",
      "protocol": "inspector"
    },
    {
      "type": "node",
      "name": "Run react-scripts tests",
      "request": "launch",
      "args": ["test", "--coverage", "--watchAll=false", "--runInBand"],
      "cwd": "${workspaceFolder}",
      "console": "integratedTerminal",
      "internalConsoleOptions": "neverOpen",
      "disableOptimisticBPs": true,
      "runtimeExecutable": "${workspaceFolder}/node_modules/.bin/react-scripts",
      "protocol": "inspector"
    },
    {
      "type": "node",
      "name": "Run Jest Tests",
      "request": "launch",
      "program": "${workspaceFolder}/node_modules/.bin/jest",
      "args": ["--runInBand", "--coverage"],
      "cwd": "${workspaceFolder}",
      "console": "integratedTerminal",
      "internalConsoleOptions": "neverOpen",
      "disableOptimisticBPs": true
    }
  ]
}
